# Change to the project root directory
cd $PROJECT_ROOT

# Trust all tools and plugins defined in mise.toml
mise trust --all

# Install all tools and plugins defined in mise.toml
mise install

# Activate mise environment for bash
eval "$(mise activate bash)"

# Run 'mix setup' only if mix.exs exists (i.e., if this is an Elixir project)
if [ -f mix.exs ]; then
  mix setup
fi